get
https://{domainname}/ca_apis/campaignStatus
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
Loadingā¦
This API is used to know the status of the campaign, in other words, it can be used to retrieve the position of the campaign, whether the campaign is running or not or in a ready position or not.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
To use this API with the help of a token, follow these steps:
- Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
- Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
- With the token entered, pass the below header and body parameters:
Body Params
{
"userName":"account user name",
"campaignName":"name"
}
Headers
| Parameter | Description |
|---|---|
| Content-Type | application/json |
Possible responses
| Success response | "status": "success", "message": [ { "CampaignID": "256", "CampaignName": "Preview_naw", "UserName": "qa_testing", "Position": "READY" }, { "CampaignID": "260", "CampaignName": "test_chat1", "UserName": "qa_testing", "Position": "READY" }, { "CampaignID": "261", "CampaignName": "ivr_test", "UserName": "qa_testing", "Position": "READY" }, { "CampaignID": "263", "CampaignName": "hari_prog_none", "UserName": "qa_testing", "Position": "COMPLETED" } |
| Error | "status": "failure" "message": "All parameters are mandatory" |
| Invalid user_name | "status": "failure", "message": "no record found" |
